# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif
ifndef Group
include 			$(DIR_MORPHEO)/Behavioural/Generic/Group/Makefile.deps
endif

RegisterFile_Monolithic			= yes
#-----[ Library ]------------------------------------------
RegisterFile_Monolithic_LIBRARY		= 	-lRegisterFile_Monolithic		\
					$(Group_LIBRARY)	\
					$(Behavioural_LIBRARY)	

RegisterFile_Monolithic_DIR_LIBRARY	=	-L$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/lib	\
					$(Group_DIR_LIBRARY)					\
					$(Behavioural_DIR_LIBRARY)	

#-----[ Rules ]--------------------------------------------

RegisterFile_Monolithic_library		:
				@$(MAKE)  Behavioural_library
				@$(MAKE)  Group_library
				@$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic --makefile=Makefile 
	
RegisterFile_Monolithic_library_clean	:
				@$(MAKE)  Behavioural_library_clean
				@$(MAKE)  Group_library_clean
				@$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic --makefile=Makefile clean
